View Issue Details

IDProjectCategoryView StatusLast Update
0001309Конфигурация[All Projects] Generalpublic2018-06-27 13:50
ReporterruslanAssigned Tobarry 
PriorityhighSeverityfeatureReproducibilityalways
Status resolvedResolutionreopened 
PlatformКСАП ГранитOSWindowsOS VersionXP Prof
Summary0001309: +Конфигурация/Склад- добавить Доступ пользователя по Прайс-Листам(аналогично Доступ по Предприятиям)
DescriptionС возможностью доступа - Без Доступа/На чтение/Редактирование к прайс-листам в Справочнике Прайс-листы
Функции доступа:
-Без Доступа : в списке Прайс-листов для этого пользователя в Справочнике/Комбобоксе выбора прайс-листа(форма Накладной/Счета и Заказа)- этот прайс-лист не отображается.
-На чтение : прайс-лист доступен для просмотра в справочнике и комбобоксах выбора прайс-листа(форма Накладной/Счета и Заказа).
- Редактирование - прайс-лист доступен для редактирования и выбора в комбобоксах выбора прайс-листа(форма Накладной/Счета и Заказа).
Additional InformationСогласование с существующими правами- Редактирование цен в прайс-листах переименовать в "Ручное редактирование цен в накладных"- контролировать только в форме Расходной накладной/Счета.
Удаление прайс-листов так и оставить отдельным правом.
TagsNo tags attached.

Activities

barry

2018-05-24 06:25

administrator   ~0003722

Я так понимаю глобальная зона действия, не в контексте предприятия.

barry

2018-05-24 06:45

administrator   ~0003723

Last edited: 2018-05-24 06:46

View 2 revisions

Прайс-листы глобальные и мне лично это кажется несколько странным... Их надо завязывать на предприятие пока не поздно.

barry

2018-05-24 08:36

administrator   ~0003724

mebl_ib5.zip
admn32.zip
настройка доступа

barry

2018-05-24 09:14

administrator   ~0003725

Как это работает с правами
- редактирование прайс-листов
- удаление прайс-листов

ruslan

2018-05-24 15:40

manager   ~0003726

>>Прайс-листы глобальные и мне лично это кажется несколько странным... Их надо завязывать на предприятие пока не поздно.
В принципе есть смысл...- однако не всегда, и такая модель доступа эту необходимость перекроет.

>>Как это работает с правами
>>- редактирование прайс-листов
>>- удаление прайс-листов
Редактирование однозначно в этих правах определяется:"- Редактирование - прайс-лист доступен для редактирования и выбора в комбобоксах выбора прайс-листа(форма Накладной/Счета и Заказа)."
удаление - это отдельное право, отдельное от редактирования, и так и будет назначаться по пользователю(это сделано намеренно, т.к. интерфейсно кнопки удаления прайс-листа не защищены никак, а сообщение пользователь воспринимает как удаление товара, при многочисленных изменениях в прайс-листе - итог удаление прайса, что оч-ч-чч-ень критично). Назначение этого права можно вписать в этот интерфейс.

ruslan

2018-05-24 15:45

manager   ~0003727

>>mebl_ib5.zip
>>admn32.zip
>>настройка доступа
Перепутаны права на кнопках в интерфейсе назначения в модуле Конфигурации.
При назначении права на Чтение - пользователь получает права на редактирование.
При назначении на права на Редактирование - получает на чтение.

barry

2018-05-30 17:21

administrator   ~0003729

? Кнопки настройки прав вроде адекватны, по факту действий там пока не пересматривалось.

barry

2018-05-30 19:54

administrator   ~0003730

mebl_ib5.zip
авто-доступ создателю прайс-листа

barry

2018-05-30 20:11

administrator   ~0003731

Last edited: 2018-05-30 20:22

View 2 revisions

Согласование с существующими правами-
>>> "Редактирование цен в прайс-листах"
Это где? Есть "Редактирование Прайс-Листов" - это не оно?

barry

2018-05-30 20:14

administrator   ~0003732

>>>> контролировать только в форме Расходной накладной/Счета.
Контролировать сейчас каким-то новым образом? Или оно само собой по-старому контролируется?

barry

2018-05-30 20:23

administrator   ~0003733

stor32.zip
admn32.zip

ruslan

2018-05-31 10:21

manager   ~0003735

Last edited: 2018-06-01 13:19

View 3 revisions

>> >>>Согласование с существующими правами-
>> >>> "Редактирование цен в прайс-листах"
>>Это где? Есть "Редактирование Прайс-Листов" - это не оно?
Да оно.
>> >> контролировать только в форме Расходной накладной/Счета.
>>Контролировать сейчас каким-то новым образом? Или оно само собой по-старому контролируется?
Эта фраза "..контролировать только в форме Расходной накладной/Счета." касается изменений реализации права "Редактирование прайс-листов"(Конфигурация-кнопка Пользователи-Форма редактирования пользователя-закладка Операции1 левая колонка ), которое раньше в неявной форме запрещало/разрешало установку вручную цен на товары в форме счета/накладной. Сейчас этот флаг(т.к. права на прайс-листы раздаются отдельно) я рекомендую переименовать в "Ручное изменение цен в счетах/накладных" и изменить логику - убрать контроль этого флага в справочнике Прайс-листы.

Для прайс-листов добавить отдельную настройку Создание и редактирование/Чтение/Удаление на Вкладке Справочники новой настройки прав, так чтоб кнопки можно было нажать одновременно, например дать доступ на Чтение + Удаление или Создание и Редактирование + Удаление:
Создание и редактирование:
- Разрешает действие(Открывает кнопку "Добавить прайс-лист", соответствующий п. меню Прайс-лист) на панели инструментов окна справочник Прайс-листы;
При нажатии автоматически делает недоступной кнопку Чтение.
При создании прайс-листа, как ты правильно сделал пользователь получает полный доступ к этому прайс-листу.
Чтение:
 - закрывает кнопку Полный доступ в окне настройки прав по отдельным прайс-листам(т.е. можно только дать доступ к чтению определенных прайс-листов);
Удаление:
- открывает доступ(разрешает действие) к кнопке Удалить прайс-лист или соответствующему п.меню Прайсл-лист.
Действием кнопки Отредактировать Прайс-лист(соответствующий п. меню) на панели инструментов справочника Прайс-листы управляет Доступ по прайс-листам - если полный доступ разрешает кнопку/п.меню, если доступ только на чтение - запрещает.

barry

2018-06-05 10:18

administrator   ~0003789

mebl_ib5.zip
admn32.zip
stor32.zip

ruslan

2018-06-05 22:42

manager   ~0003790

Если пользователю(в т.ч. и с админ.правами) назначены права доступа к справочнику Прайс-листы - Полный доступ, и назначены права полного доступа к конкретному прайс-листу, то:
1. При попытке редактировать прайс-лист в меню Прайс-лист Отредактировать.../Кнопка на панели инструментов - никаких действий не происходит.
2. В Меню Товар ограничены пункты для добавления в прайс-лист с полными правами доступа.
Для прайс-листа с правами доступа только на чтение - меню Товар полностью открыто, хотя не работает- выдается сообщение, что Вам запрещено редактирование этого прайс-листа.

ruslan

2018-06-05 22:44

manager  

ruslan

2018-06-05 22:46

manager   ~0003791

Last edited: 2018-06-05 22:46

View 2 revisions

Я думаю для Пользователя с Правами доступа к Справочнику Прайс-листы Только чтение есть смысл задизейблить кнопку добавить прайс-лист на полный доступ в окне настройки доступа по прайс-листам

barry

2018-06-06 20:47

administrator   ~0003792

stor32.zip
admn32.zip

ruslan

2018-06-07 12:43

manager   ~0003793

А ты в Конфигурации - Доступ по Прайс-листам не блокировал кнопку Полный доступ, если у пользователя в Справочнике Прайс-листы - настроен доступ только на чтение?

barry

2018-06-07 15:13

administrator   ~0003794

Доступ к справочнику касается редактирования самой записи прайс-листа. Доступ по конкретному прайс-листу касается доступа к записям товаров с ценами (что висит на конкретном прайс-листе).
Они не зависимы и не наследуемы. Каждый прайс и так имеет собственное право read-only.
Только доступ по предприятию выступает как блокирующее право.

barry

2018-06-07 15:13

administrator   ~0003795

admn32.zip

ruslan

2018-06-15 16:42

manager   ~0003829

Эта фраза "..контролировать только в форме Расходной накладной/Счета." касается изменений реализации права "Редактирование прайс-листов"(Конфигурация-кнопка Пользователи-Форма редактирования пользователя-закладка Операции1 левая колонка ), которое раньше в неявной форме запрещало/разрешало установку вручную цен на товары в форме счета/накладной. Сейчас этот флаг(т.к. права на прайс-листы раздаются отдельно) я рекомендую переименовать в "Ручное изменение цен в счетах/накладных" и изменить логику - убрать контроль этого флага в справочнике Прайс-листы.
А это ты сделал?

ruslan

2018-06-15 16:44

manager   ~0003830

Причем сейчас я с удивлением заметил, что отнимание права "Редактирование прайс-листов"(на закладке Операции1) не убирает возможность редактирования цен вручную в накладных/счетах???? Раньше это всегда работало ...

barry

2018-06-21 14:47

administrator   ~0003838

А "Жесткая привязка цен к прайс-листу" - это что?
Надо уже половину прав ликвидировать.

barry

2018-06-21 14:53

administrator   ~0003839

То право в марте не использовалось, по крайней мере в том контексте, как ты рассказываешь.

ruslan

2018-06-21 15:42

manager   ~0003840

>>А "Жесткая привязка цен к прайс-листу"
Это отдельная тема, когда Пользователь может по Клиенту выбрать ТОЛЬКО те прайс-листы, которые указаны у клиента в справочнике Организации в карточке на закладке Прайс-листы.
>>То право в марте не использовалось, по крайней мере в том контексте, как ты рассказываешь.
Хм я сколько помню право Редактирование прайс-листов давало права на редактирование цен вручную в накладных, а Жесткая привязка цен к прайс-листу уже сужало инициативу пользователя ТОЛЬКО прайс-листами клиента.

barry

2018-06-21 16:46

administrator   ~0003841

Надо ликвидировать права в редактировании пользователя.

ruslan

2018-06-21 16:50

manager   ~0003842

Какие права?

barry

2018-06-21 17:10

administrator   ~0003843

Операции1 и Операции2

ruslan

2018-06-21 18:17

manager   ~0003844

В смысле полностью перейти на новый интерфейс?

ruslan

2018-06-21 18:48

manager   ~0003845

Last edited: 2018-06-21 18:48

View 2 revisions

м-м-м давай ты сначала доделаешь права на ручное редактирование цен в накладной/счете/заказе:
1. Переименуешь п. Редактирование прайс-листов в Редактирование цен вручную в накладных/счетах/заказах.
2. При установке этого права пользователю Разрешается редактировать поле Цена в форме накладной/счета/заказах в любых типах документов(если это подразумевается логикой программы). Если флага не установлен - поле можно закрыть от изменений - установка цен возможна ТОЛЬКО из списка доступных пользователю прайс-листов.
Примечание. Жесткая Привязка цен к Прайс-листу дает право устнавливать цену ТОЛЬКО из прайс-листов указанных в карточке заказчика, т.е сужает область фильтрации прайс-листов в форме Выбор цен по Прайс-листу(Выбор цен по скидке можно вообще закрыть для выбора в этом случае)

barry

2018-06-21 19:23

administrator   ~0003846

Я в нужном месте переименовал, а оттуда куда ты смотришь надо все убрать.

barry

2018-06-21 19:29

administrator   ~0003847

И опять логическая дырка. У нас две опции разрешающие/запрещающие редактирование цен. Мы получаем их четыре комбинации.
Как это должно в целом работать?

ruslan

2018-06-21 21:57

manager   ~0003848

Опция Жесткая привязка цен к Прайс-листу не имеет смысла без снятия флага "Разрешить ручное изменение цен..." соответственно при установке флага "Жесткая привязка..." автоматически снимается флаг "Разрешить ручное изменение цен..." и закрывает поле от изменения. При снятии флага "Жесткая привязка" поле "Разрешить ручное изменение цен..." открывается для изменений.

barry

2018-06-25 11:00

administrator   ~0003856

Что должно происходить при "Жесткой привязке цен по прайc-листу" когда при редактировании накладной меняют организацию?
Реальные установленные цены могут уже не соответствовать какому-то из разрешенных для новой организации ее прайсов.

barry

2018-06-25 11:05

administrator   ~0003857

Опять же - при Жесткой привязке... прайсы для выбора фильтруются по огранизации + фильтруются по разрешенным для выбора данным пользователем (т.е. с новым правом по этой задаче).

barry

2018-06-25 12:17

administrator   ~0003858

И надо тогда назвать "Жесткая привязка цен в прайс-листам Заказчика".
Как вообще люди этим будут пользоваться? Что они будут думать и представлять включая соотв. опцию.

barry

2018-06-25 12:30

administrator   ~0003859

То которое Удаление прайс-листов у меня называется "'Удаление прайс-листов (очистка списка товара)'".
Сейчас это как должно действовать с новой концепцией доступа к индивидуальным прайс-листам?
Очистка списка товара разрешена если прайс не read-only. Удаление самого прайс-листа с содержимым разрешено если доступ к справочнику не read-only.
В общем тебе надо проверить эту штуку - соответствует ли она твоей концепции, потому как я не пойму какая она именно сейчас у тебя, в соответствии с новыми правами.
---
В задаче намешано слишком много каши, надо бы было разбить это как-то поэтапно.

barry

2018-06-25 12:40

administrator   ~0003860

В общем сейчас цены не редактируются если установлена "Жесткая привязка" или нет права "Ручное редактирование".

barry

2018-06-25 13:10

administrator   ~0003861

stor32.zip
admn32.zip

ruslan

2018-06-25 15:14

manager   ~0003865

Last edited: 2018-06-25 15:17

View 2 revisions

>>Опять же - при Жесткой привязке... прайсы для выбора фильтруются по огранизации + фильтруются по разрешенным для выбора данным пользователем (т.е. с новым правом по этой >>задаче).
НЕТ.
Жесткая привязка цен к прайс-листу это установка цен в документе накладная/счет/заказ ТОЛЬКО из списка указанных прайс-листов в карточке Организации(на то она и жесткая привязка, потому что раньше других ограничений по прайсам не было, соответственно пользователь имел доступ ко всем прайс-листам) на закладке Прайс-листы.
>>Что должно происходить при "Жесткой привязке цен по прайc-листу" когда при редактировании накладной меняют организацию?
>>Реальные установленные цены могут уже не соответствовать какому-то из разрешенных для новой организации ее прайсов.
1. Для пользователя у которого указаны права Жесткая привязка цен к прайс-листу:
- при редактировании формы - и выборе поля Заказчик/Контрагент в документах Счет/Накладная/Заказ - на закладке Товар поле Цена обновиться по списку прайс-листов новой организации(при выборе поля <Контрагент(Заказчик)> - т.е. пустое значение ничего не менять относительно предыдущих значений).
- если у "новой" организации нет указанных Прайс-листов - цены обновляются по справочнику Товары поле Розничная цена, т.е. вариант - выбрать заказчика с суперскидкой, а потом поставить "Васю Пупкина" и создать Заказ с такой же ценой не прокатывает- цена обновляется на розничную.
 2. Для пользователя у которого нет права "Жесткая привязка цен к прайс-листу":
- если у "новой организации" есть указанный набор прайс-листов - выдать сообщение "У текущей организациии индивидуальные цены - обновить цены?" И ответ Да/Нет. Если при изменении Организации-заказчика список прайс-листов "новой организации" не настроен - цена не меняется.

barry

2018-06-27 00:25

administrator   ~0003876

Давай остальную логику отдельными задачами. Тут полная каша, я уже не знаю что читать и что воспринимать.
Здесь справочник прайс-листов и работа в нем и закрываем.

barry

2018-06-27 00:36

administrator   ~0003877

В постановке задачи указана фильтровка разрешенных прайсов при выборе в накладной
>>> -На чтение : прайс-лист доступен для просмотра в справочнике и комбобоксах выбора прайс-листа(форма Накладной/Счета и Заказа).
Теперь ты говоришь
"НЕТ"
Мне нужна какая-то адекватная логика...
>>> " на закладке Товар поле Цена обновиться по списку прайс-листов новой организации"
Цена одна, что значит по списку прайс-листов... из какого именно...

Issue History

Date Modified Username Field Change
2018-04-02 18:03 ruslan New Issue
2018-04-19 16:37 barry Assigned To => barry
2018-04-19 16:37 barry Status new => acknowledged
2018-05-24 06:25 barry Note Added: 0003722
2018-05-24 06:45 barry Note Added: 0003723
2018-05-24 06:46 barry Note Edited: 0003723 View Revisions
2018-05-24 08:36 barry Note Added: 0003724
2018-05-24 09:14 barry Note Added: 0003725
2018-05-24 15:40 ruslan Note Added: 0003726
2018-05-24 15:45 ruslan Note Added: 0003727
2018-05-30 17:21 barry Note Added: 0003729
2018-05-30 19:54 barry Note Added: 0003730
2018-05-30 20:11 barry Note Added: 0003731
2018-05-30 20:14 barry Note Added: 0003732
2018-05-30 20:22 barry Note Edited: 0003731 View Revisions
2018-05-30 20:23 barry Note Added: 0003733
2018-05-31 10:21 ruslan Note Added: 0003735
2018-05-31 10:22 ruslan Note Edited: 0003735 View Revisions
2018-06-01 13:19 ruslan Note Edited: 0003735 View Revisions
2018-06-05 10:18 barry Note Added: 0003789
2018-06-05 22:42 ruslan Note Added: 0003790
2018-06-05 22:44 ruslan File Added: Конфигурация-Доступ по прайс-листам.jpg
2018-06-05 22:44 ruslan File Added: Склад-Доступ меню Товар прайс-листа на полн_доступ.jpg
2018-06-05 22:44 ruslan File Added: Склад-Доступ меню Товар прайс-листа на чтение.jpg
2018-06-05 22:46 ruslan Note Added: 0003791
2018-06-05 22:46 ruslan Note Edited: 0003791 View Revisions
2018-06-06 20:47 barry Note Added: 0003792
2018-06-07 12:43 ruslan Note Added: 0003793
2018-06-07 15:13 barry Note Added: 0003794
2018-06-07 15:13 barry Note Added: 0003795
2018-06-12 12:03 ruslan Status acknowledged => resolved
2018-06-12 12:03 ruslan Resolution open => fixed
2018-06-15 16:42 ruslan Status resolved => feedback
2018-06-15 16:42 ruslan Resolution fixed => reopened
2018-06-15 16:42 ruslan Note Added: 0003829
2018-06-15 16:44 ruslan Note Added: 0003830
2018-06-15 16:44 ruslan Status feedback => assigned
2018-06-21 14:47 barry Note Added: 0003838
2018-06-21 14:53 barry Note Added: 0003839
2018-06-21 15:42 ruslan Note Added: 0003840
2018-06-21 16:46 barry Note Added: 0003841
2018-06-21 16:50 ruslan Note Added: 0003842
2018-06-21 17:10 barry Note Added: 0003843
2018-06-21 18:17 ruslan Note Added: 0003844
2018-06-21 18:48 ruslan Note Added: 0003845
2018-06-21 18:48 ruslan Note Edited: 0003845 View Revisions
2018-06-21 19:23 barry Note Added: 0003846
2018-06-21 19:29 barry Note Added: 0003847
2018-06-21 21:57 ruslan Note Added: 0003848
2018-06-25 11:00 barry Note Added: 0003856
2018-06-25 11:05 barry Note Added: 0003857
2018-06-25 12:17 barry Note Added: 0003858
2018-06-25 12:30 barry Note Added: 0003859
2018-06-25 12:40 barry Note Added: 0003860
2018-06-25 13:10 barry Note Added: 0003861
2018-06-25 15:14 ruslan Note Added: 0003865
2018-06-25 15:17 ruslan Note Edited: 0003865 View Revisions
2018-06-27 00:25 barry Note Added: 0003876
2018-06-27 00:36 barry Note Added: 0003877
2018-06-27 13:50 ruslan Status assigned => resolved